import request from "@/utils/request";

export function LIST(data, params) {
  return request({
    url: "/pu/priceApply/list",
    method: "POST",
    params: params,
    data: data,
  });
}

export function ITEM(data, isCopy) {
  return request({
    url: `/pu/priceApply/${data}/${isCopy}`,
    method: "GET",
  });
}

export function SAVE(data) {
  return request({
    url: "/pu/priceApply/save",
    method: "POST",
    data: data,
  });
}

export function SUBMIT(data) {
  return request({
    url: `/pu/priceApply/submit`,
    method: "POST",
    // data: {submitIds:data},
    data,
  });
}

export function REMOVE(data) {
  return request({
    url: `/pu/priceApply/del`,
    method: "delete",
    data: {submitIds:data},
  });
}

// 模板下载
export function mbDownload(data) {
  return request({
    url: `/pu/priceApply/download`,
    method: 'post',
    data: data,
    responseType: 'blob'
  })
}
// 导入失败文件下载
export function failDownload(data) {
  return request({
    url: `/pu/priceApply/downloadFailData`,
    method: 'post',
    data: data,
    responseType: 'blob'
  })
}
//收回
export function oaBack(data) {
  return request({
    url: `/oaflow/rollback`,
    method: "POST",
    data: data,
  });
}
